#pragma once

#include <stm32f10x.h>

//   (.. )  
//  ; . 0 (false) -  
//   ; . 1 (true) -     .
//      
//     .
#define DIG_ACTIVE_LEVEL false

//  ()   ;
// . 1     ;
// . 0     .
//     
//   ,  
//   .
#define SEG_ACTIVE_LEVEL true

//  DIGS_CONTROL, SEGS_CONTROL 
//     .
//   - ;   
//   -  (0 - GPIOA,  ..);
//      ,  
//   .

//     
//   .   :
// DIG1 - PC6, DIG2 - PC7, DIG3 - PC8, DIG4 - PC9.
const char DIGS_CONTROL[]={0x26, 0x27, 0x28, 0x29};

const uint32_t DIGS_COUNT=
		sizeof DIGS_CONTROL/sizeof DIGS_CONTROL[0];

//     
//  .   :
// A - PA8, B - PA9, C - PA10, D - PA11,
// E - PA12, F - PC0, G - PC1, DP - PC2.
const char SEGS_CONTROL[]={0x08, 0x09, 0x0A, 0x0B,
		0x0C, 0x20, 0x21, 0x22};

//  ,   
//      .
//   ASCII  !
//       
// 0..9,    '0'..'9';
// 10..15   'A', 'b', 'C', 'd', 'E', 'F';
// 16 -  (  );
// 17 - '-'.
//  ,    
//  .
const char CG_TABLE[]=
	{0x3F, 0x06, 0x5B, 0x4F, 0x66, 0x6D, // '0'..'5'
	 0x7D, 0x07, 0x7F, 0x6F,			 // '6'..'9'
	 0x77, 0x7C, 0x39, 0x5E, 0x79, 0x71, // 'A'..'F'
	 0x00, // SPACE
	 0x40  // MINUS
	};
#define SPACE 16
#define MINUS 17

//   , 
//   .
void display_config();

//      ;
//      f=N*F,
//  N -   ,
// F -    .
void display_refresh();

//      .
//     ,
//    : 'E'  '-E'
//    false.
bool display(int n);

//      n/(10**p).
//  ,    n (,
//     )  
//    p (p=0  
//    -   ;  p=1,
//       
//  ..).
//  p<0,   .
//  p      
//  n    , 
//   : "-E"    
// "E"  .
//  true     false   .
bool display(int n, int p);
